This forum uses cookies
This forum makes use of cookies to store your login information if you are registered, and your last visit if you are not. Cookies are small text documents stored on your computer; the cookies set by this forum can only be used on this website and pose no security risk. Cookies on this forum also track the specific topics you have read and when you last read them. Please confirm whether you accept or reject these cookies being set.

A cookie will be stored in your browser regardless of choice to prevent you being asked this question again. You will be able to change your cookie settings at any time using the link in the footer.

How to update Apache to 2.4.x
#1
How to update Apache to 2.4.x
Greats to you all!

In the beginning of 2017 if have updated my zpanel (running 2012 server std) to 10.1.1 and then used
http://forums.sentora.org/showthread.php?tid=2198 tutorial to update to Sentora 1.0.3

Now i have a problem with security on my server, seems that because of old Apache or myphpadmin.
That problem allows hacker to create user on my server...

Code:
C:\Windows\System32>httpd -v
Server version: Apache/2.4.3 (Win32)
Server built: Aug 18 2012 12:41:37

When I close Apache port on Windows firewall - problem disappears
Should I update my Apache and PHPmyAdmin? How to localize a problem? How to Update Apache?
Maybe will be better to install http://awserver.ru/ ?
Huge respect for any help...
Reply
Thanks given by:
#2
RE: How to update Apache to 2.4.x
When you update to apache 2.4 the vhosts config change and so it will cause issues.

So take care.

M B
No support using PM (Auto adding to IGNORE list!), use the forum. 
How to ask
Coldfusion Freelance

10$ free to start your VPS

Reply
Thanks given by:
#3
RE: How to update Apache to 2.4.x
AWServer is a good solution but I do not know if he is keeping it updated at this time. I haven't heard from him in a while.
Although, in both versions, some newer modules may break as they are not setup to use ZPanel file and folder paths Sad

The best solution? Switch to either Ubuntu 14.04 or CentOS 7 operating systems.
-TGates - Head of Support

SEARCH the Forums or read the DOCUMENTATION before posting!
Modules Maintained: 13 - Module Installs: 108k+

Find my support or modules helpful? Donate HERE
Get your domains using my affiliate link:
GoDaddy - Domains
Reply
Thanks given by:
#4
RE: How to update Apache to 2.4.x
(11-21-2017, 06:34 AM)TGates Wrote: AWServer is a good solution but I do not know if he is keeping it updated at this time. I haven't heard from him in a while.
Although, in both versions, some newer modules may break as they are not setup to use ZPanel file and folder paths Sad

The best solution? Switch to either Ubuntu 14.04 or CentOS 7 operating systems.

Dear forumers!  Thank you  for your kind support!

In  my  case  Control  panel  content  isnt  a  problem  to  deal  with. But  i  cant  switch  to  another OS.
What  is  the easiest  way  to  find and  investigate traces of  hacker  activity? Should  i  look  into  Apache  logs?
Reply
Thanks given by:
#5
RE: How to update Apache to 2.4.x
Yes, apache logs, auth logs, ftp logs.. anything you can find to pin point where your server is compromised. If you can narrow it down to a specific site, then you can check that site's access and error logs for even more information.
-TGates - Head of Support

SEARCH the Forums or read the DOCUMENTATION before posting!
Modules Maintained: 13 - Module Installs: 108k+

Find my support or modules helpful? Donate HERE
Get your domains using my affiliate link:
GoDaddy - Domains
Reply
Thanks given by:


Possibly Related Threads...
Thread Author Replies Views Last Post
How to update MySQL MaxTorS 1 1,336 11-04-2016, 06:19 AM
Last Post: TGates
Sentora for Windows Update Miow5 5 5,182 07-04-2016, 02:21 AM
Last Post: kinjo
sentora awserver apache 2.2 to 2.4 migration elmoutakaf 0 1,164 03-13-2016, 01:52 AM
Last Post: elmoutakaf

Forum Jump:


Users browsing this thread: 1 Guest(s)